using Microsoft.Extensions.DependencyInjection;
using SlnMesnac.Model.domain;
using SlnMesnac.Repository.service.@base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

#region << 版 本 注 释 >>
/*--------------------------------------------------------------------
* 版权所有 (c) 2024 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：LAPTOP-E0N2L34V
* 命名空间：SlnMesnac.Repository.service.Impl
* 唯一标识：50d84911-9088-4fd3-b85a-151411028afc
*
* 创建者：WenJY
* 电子邮箱：wenjy@mesnac.com
* 创建时间：2024-04-08 16:47:57
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/
#endregion << 版 本 注 释 >>
namespace SlnMesnac.Repository.service.Impl
{
    public class BaseRealTaskServiceImpl : BaseServiceImpl<BaseRealTask>, IBaseRealTaskService
    {

        public BaseRealTaskServiceImpl(Repository<BaseRealTask> rep) : base(rep)
        {
           
        }

        public void InsertTask(BaseRealTask realTask)
        {
            bool isRes = base._rep.Insert(realTask);

           

        }

        public void UpdateTask(BaseRealTask realTask)
        {
            bool isRes = base._rep.Update(realTask);

        }

        public void DeleteTask(int taskId)
        {
            bool isRes = base._rep.DeleteById(taskId);
        }


        public BaseRealTask GetExeTask()
        {
            BaseRealTask task = null;
            task = base._rep.GetFirst(x=>x.Status ==1);
            return task;
        }

    }
}
